commit:     5b0da0b48c9d8a41326bafd1fa74c57dfb972717
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 22 05:10:21 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 22 05:21:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b0da0b4

media-sound/sndio: minor fixups

* Respect EPREFIX
* Respect CC
* Die on ./configure failure

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-sound/sndio/sndio-1.7.0.ebuild | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/media-sound/sndio/sndio-1.7.0.ebuild 
b/media-sound/sndio/sndio-1.7.0.ebuild
index d3338773e3f..24f14c1d8c3 100644
--- a/media-sound/sndio/sndio-1.7.0.ebuild
+++ b/media-sound/sndio/sndio-1.7.0.ebuild
@@ -1,13 +1,14 @@
-# Copyright 2020 Gentoo Authors
+# Copyright 2020-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit multilib-minimal
+inherit multilib-minimal toolchain-funcs
 
 DESCRIPTION="small audio and MIDI framework part of the OpenBSD project"
 HOMEPAGE="http://www.sndio.org/";
 SRC_URI="http://www.sndio.org/${P}.tar.gz";
+
 LICENSE="ISC"
 SLOT="0/7.0"
 KEYWORDS="~amd64"
@@ -28,12 +29,15 @@ src_prepare() {
 }
 
 multilib_src_configure() {
+       tc-export CC
+
        ./configure \
-               --prefix=/usr \
-               --libdir=/usr/$(get_libdir) \
+               --prefix="${EPREFIX}"/usr \
+               --libdir="${EPREFIX}"/usr/$(get_libdir) \
                --privsep-user=sndiod \
                --with-libbsd \
-               $(use_enable alsa)
+               $(use_enable alsa) \
+       || die "Configure failed"
 }
 
 src_install() {

Reply via email to